#include "../../../lib/std.mi"

Global Group MN;
Global Layer VolLayer, SeekLayer;
Global Timer SeekTimer;
Global Map VolMap, SeekMap;
Global Button MenuMakerButton;

System.onScriptLoaded() {
  MN = getScriptGroup();
  VolLayer = MN.getObject("vol filler");
  SeekLayer = MN.getObject("pos filler");
  MenuMakerButton = MN.getObject("chasing liberty");

  VolMap = new map;
  VolMap.loadMap("player.volmap");
  SeekMap = new map;
  SeekMap.loadMap("player.posmap");

  SeekTimer = new timer;
  SeekTimer.setdelay(50);
  SeekTimer.start();
  
  VolLayer.setRegionFromMap(VolMap, getVolume(), 1);
}

System.onVolumeChanged(int newvol) {
  VolLayer.setRegionFromMap(VolMap, newvol, 1);
}

SeekTimer.onTimer() {
  float dby = 255/getPlayItemLength();
  if (dby == 0) return;
  int dgoto = dby*getPosition();
  if (dgoto == 0) return;
  SeekLayer.setRegionFromMap(SeekMap, dgoto, 1);
}

MenuMakerButton.onLeftButtonUp(int x, int y) {
  PopupMenu linkMenu;
  linkMenu = new PopupMenu;
  linkMenu.addCommand("Official Website",1,0,0);
  linkMenu.addCommand("Buy Tickets",2,0,0);

  int retval = linkMenu.popAtMouse();

  if(retval == 1) {
    navigateUrl("http://www2.warnerbros.com/chasingliberty/");
  } else if(retval == 2) {
    navigateUrl("http://www.moviefone.com/showtimes/movie.adp?movieid=17050&date=20031219");
  }
}